Subject: Re: [PATCH] scalar: fix wrong shell hashbang

From: Victoria Dye <[email-masked]>
Date: Sun, 18 Sep 2022 13:08:33 -0700

ZheNing Hu via GitGitGadget wrote:
> From: ZheNing Hu <[email-masked]>
> 
> $SHELL_PATH_SQ haven't been set in scalar's Makefile,
> bin-wrappers/scalar will begin with wrong hashbang "#!",
> fix it by setting $SHELL_PATH and $SHELL_PATH_SQ in
> scalar's Makefile.
> 
> Signed-off-by: ZheNing Hu <[email-masked]>
> ---
>     scalar: fix wrong shell hashbang
>     
>     The bin-wrappers/scalar seems like missing setting $SHELL_PATH_SQ which
>     lead to I can't execute bin-wrappers/scalar correctly, which output
>     error:
>     
>     zsh: exec format error: scalar
>     
>     (this bug will not turn out in bash)
>     
>     The bin-wrappers/scalar begin with wrong hashbang "#!", which cannot
>     figure out by zsh. So this patch want to fix this problem.
>     
>     v1: Setting $SHELL_PATH and $SHELL_PATH_SQ in scalar/Makefile.
> 

Thanks for finding this! However, while your patch fixes the error you've
identified (I was able to recreate both the original issue and apply your
patch to fix it), I believe it has already been fixed in 'next' by
7b5c93c6c6 (scalar: include in standard Git build & installation,
2022-09-02) (archive: [1]).

[1] https://lore.kernel.org/git/bc20[email-masked]/